Subject: Re: [PATCH] sound: aoa: printk replacement

From: Sudip Mukherjee <[email-masked]>
Date: Wed, 10 Sep 2014 22:44:01 +0530

On Wed, Sep 10, 2014 at 05:38:10PM +0200, Takashi Iwai wrote:
> At Wed, 10 Sep 2014 20:37:50 +0530,
> Sudip Mukherjee wrote:
> > 
> > On Wed, Sep 10, 2014 at 04:43:03PM +0200, Takashi Iwai wrote:
> > > At Wed, 10 Sep 2014 20:02:04 +0530,
> > > Sudip Mukherjee wrote:
> > > > 
> > > > On Wed, Sep 10, 2014 at 03:57:04PM +0200, Johannes Berg wrote:
> > > > > On Wed, 2014-09-10 at 19:21 +0530, Sudip Mukherjee wrote:
> > > > > > as pr_* macros are more preffered over printk, so printk replaced
> > > > > > with corresponding pr_* macros.
> > > > > 
> > > > > Are you simply running checkpatch on every file and decided to do
> > > > > something about it? :)
> > > > > 
> > > > i am running checkpatch on the patch generated. if i am doing checkpatch
> > > > cleanups then that i do it only in the staging.
> > > > only exception : printk .. :)
> > > > 
> > > > > I'll let Takashi decide whether to take this or not as I no longer care
> > > > > about this code, but IMHO this changes is completely pointless since you
> > > > > don't also clean up the code to have a common prefix with #define pr_fmt
> > > > > and then clean up the callers etc.
> > > > > 
> > > > i mentioned in the comment that in a future patch we can have pr_fmt,
> > > > it was not done in this patch since the changes for this patch is
> > > > generated by a script and not manually.
> > > > if Takashi accepts this then the next patch will have pr_fmt.
> > > 
> > > If you're going to work on it, please give a patch series and let me
> > > merge once.  There is no good merit to merge a half-baked piece by
> > > piece.
> > > 
> > > Regarding the changes you've made: so far, I've merged two such
> > > patches just because it's a good exercise for newbies.  You've played
> > > it and experienced it enough.  So it's time to go up to a higher
> > > stage, more "real" fixes.
> > can you please give me some hint of fixes that can be attempted by
> > newbies. except printk :)
> 
> You should study the code at first.  There is nothing you can "fix"
> without understanding the code.  So, pick up a driver you're
> interested in.  You may or may not find bugs there.  Or, if you see /
> know any bug, try to join debugging.
> 
> 
> Takashi

one of my patch has alredy changed printk to pr_* in ctxfi. but that can be improved
to dev_*. since this has to be done manully and not through script , so should i send the
patch for one file at a time or for all of them together in a single patch?

thanks
sudip